#
# spec file for package python-piston-mini-client
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-piston-mini-client
Version:        0.7.5
Release:        11.5
Url:            https://launchpad.net/piston-mini-client
Summary:        A small package to consume Django-Piston web services
License:        LGPL-3.0
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/p/piston-mini-client/piston-mini-client-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Provides:       python-piston-mini = %{version}
Obsoletes:      python-piston-mini < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A small generic library for writing clients for Django's Piston REST APIs.

%prep
%setup -q -n piston-mini-client-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Apr 16 2013 p.drouand@gmail.com
- Update to version 0.7.5
  + fixes oneconf-service AttributeError crash (LP#1105215)
- Remove Fix-test-python3.3.diff; obsoleted by upstream
- piston-mini-client now requires setuptools to build
  add BuildRequires: python(3)-ditribute
* Fri Jan 18 2013 saschpe@suse.de
- Package LICENSE
* Thu Jan 17 2013 toddrme2178@gmail.com
- Remove unneeded python3 patch for python2 package
* Fri Jan 11 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Jan 11 2013 p.drouand@gmail.com
- Update to 0.7.3 version:
  * Add support for latest pep8
  * Add support for python3
- Add  Fix-test-python3.3.diff : fix tests on raring, py3.3 randomizes
  dict order which breaks tests that depend on this, also pep8 changed
  internally so just use the commandline interface (#bln1083772)
* Thu Feb 16 2012 saschpe@suse.de
- Initial version
